<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="/assets/css/bootstrap.min.css">
  </head>
  <body>
    <script src="/assets/js/jquery-3.7.1.min.js" crossorigin="anonymous"></script>
    <script src="/assets/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
    <header class="navbar navbar-expand-md navbar-dark bg-dark" role="navigation">
            <a class="navbar-brand mx-3" href="/">Xen Design Sessions</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarContent" aria-controls="navbarContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse d-flex flex-row justify-content-between" id="navbarContent">
	      <div class="navbar-nav">
	    {{if .ShowToolbar}}
		<a class="nav-link" href="/list/discussion">Sessions</a>
		<a class="nav-link" href="/discussion/new">Propose</a>
		{{if .IsScheduleActive}}
		<a class="nav-link" href="/schedule">Schedule</a>
		{{end}}
		<a class="nav-link" href="/list/user">Attendees</a>
	    {{end}}
	      </div>
	      <div class="navbar-nav">
		{{if .IsTestMode}}
		<span class="badge bg-danger">Test Mode</span>
		{{end}}
		{{if .CurrentUser}}
		{{if .CurrentUser.IsAdmin}}
		{{if .IsWebsiteActive}}
		<div><span class="badge bg-primary">Active</span></div>
		{{else}}
		<div><span class="badge bg-secondary align-self-center">Inactive</span></div>
		{{end}}
		<a href="/admin/console" class="nav-link">Console</a>
		{{end}}
		<a href="/uid/user/self/view" class="nav-link">
		  {{if and (not .CurrentUser.IsVerified) (not .CurrentUser.IsAdmin)}}
		  <span class="badge bg-warning text-dark">Unverified</span>
		  {{end}}
		{{.CurrentUser.Username}}</a>
		<a href="/sign-out" class="nav-link">Sign Out</a>
		{{else}}
		{{if .IsWebsiteActive}}
                <a href="/register" class="nav-link">Register</a>
		{{end}}
		<a href="/login" class="nav-link">Login</a>
	      {{end}}
	      </div>
	    </div>
	    </div>
	</header>
	<div class="container-fluid">
	  {{if .Flash}}
	  <div class="alert alert-info alert-dismissible fade show" role="alert">
	    {{.Flash}}
	    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close">
	    </button>
	  </div>
	  {{end}}
	  {{ yield }}
	</div>
	</body>
</html>
